hbx编译报:Browserslist: caniuse-lite is outdated.

如题,运行时,报:

08:11:04.843 项目 'xxxx' 开始编译...
08:11:05.779 [提示] 如编译时间较长,请注意将本工程目录从杀毒软件、搜索索引软件的监控名单移除。
08:11:13.148 Browserslist: caniuse-lite is outdated. Please run next command npm update caniuse-lite browserslist

无法运行,也无法生成dist/dev目录

运行『npm update caniuse-lite browserslist』 也无效。重启电脑无效。换了电脑一样报错。。。。

平台:mac

2019-01-20 08:13 添加评论 分享
已邀请:

最佳回复

1

找到一个解决办法,

  1. 按照提示执行 npm update caniuse-lite browserslist 后, 在 node_modules文件夹下会发现有 一个caniuse-lite 目录
  2. 打开HBuilderX的安装目录, 在目录下搜索caniuse-lite(我搜索到5个结果)
  3. 把搜索结果的5个文件夹, 用第1步更新到的文件夹进行替换
  4. 问题解决.
0

吕地瓜 - 80后IT男

赞同来自:

看来是来大姨妈了,都这样

0

吕地瓜 - 80后IT男

赞同来自:

0

win10, HBuilderX.1.4.1.20181228.full同样的问题
昨天晚上还在用, 早上起来就提示
08:41:34.560 Browserslist: caniuse-lite is outdated. Please run next command npm update caniuse-lite browserslist

运行到手机也是同样的提示.
运行到浏览器可以用

0

1575254661@qq.com

赞同来自:

我也发生同样的问题 ,这是咋了,昨天晚上还好好的 刚开机就这样了,手动安装和升级都不行

0

jack_zheng

赞同来自:

win10 hbuilderX 同样问题,昨晚还是好好的

0

小Q

赞同来自:

我以为只是我的问题,原来大家都有!

0

704465184@qq.com - 好好学习,天天向上

赞同来自:

升级完报了个新错误,
[错误] ERR: ./common/main.wxss(1:9): error at token url
10:36:28.498 error file count: 0。
没有这个文件

要回复问题请先登录注册